Patch agent
PATCH
Patch an agent/admin.
ApiKeyAuth organization.memberheader
Authorization<token>Scope: organization.member
agentId*stringThe agent/admin id
Format
uuidThe agent/admin patch
application/json- body
displayName?stringThe agent's display name
phoneNumber?stringThe agent's primary phone number
additionalEmails?array<string>Additional email addresses for the agent
additionalPhoneNumbers?array<string>Additional phone numbers for the agent
firstName?stringThe agent's first name
lastName?stringThe agent's last name
middleNames?array<string>The agent's middle names
avatarUrl?stringThe url from which to load the agent's avatar
The patched agent/admin
application/json- response
data*curl -X PATCH 'https://dev.dixa.io/v1/agents/{agentId}' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "displayName": "Alice Brown", "additionalEmails": [], "additionalPhoneNumbers": [], "firstName": "Alice", "lastName": "Brown", "middleNames": [], "avatarUrl": "http://avatar.url"}'{}
"data": {}
"id": "4d2ab456-8510-4a35-b266-e502160d5177",
"createdAt": "2020-12-16T09:41:43Z",
"displayName": "Alice Brown",
"email": "alice@brown.com",
"avatarUrl": "https://files.dixa.io/public/image_id",
"phoneNumber": "+551155256325",
"additionalEmails": [],
"alice@secondary.email"
"additionalPhoneNumbers": [],
"+5566778899"
"firstName": "Alice",
"lastName": "Brown",
"middleNames": [],
"roles": []
"Agent"